<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program']">Kegiatan</a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id]">Periode Anggaran</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id, 'anggaran', periodeanggaran_id]">Kegiatan</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id, 'anggaran', periodeanggaran_id, 'kegiatan', kegiatan_id]">Laporan Anggaran</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Tambah</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Tambah Laporan Anggaran </h5>
            </div>
            <div class="card-block">
                
                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()"> 
                 
                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-2 col-xl-2">  
                        <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                    </div>
                    <div class="col-sm-8 col-xl-8">  
                    </div>
                    <div class="col-sm-2 col-xl-2">
                    </div>
                </div> 

                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Anggaran</b></h4>
                    </div>
                    <div class="col-sm-12 col-xl-12">
                        <label class="col-form-label">Bulan Serapan</label>
                        <select class="form-control" placeholder="Bulan" formControlName="bulan">
                            <option value="">-- Pilih Bulan --</option>
                            <option value="Januari">Januari</option>
                            <option value="Februari">Februari</option>
                            <option value="Maret">Maret</option>
                            <option value="April">April</option>
                            <option value="Mei">Mei</option>
                            <option value="Juni">Juni</option>
                            <option value="Juli">Juli</option>
                            <option value="Agustus">Agustus</option>
                            <option value="September">September</option>
                            <option value="Oktober">Oktober</option>
                            <option value="November">November</option>
                            <option value="Desember">Desember</option> 
                        </select>
                        <span class="messages text-danger" *ngIf="!myForm.get('bulan').valid && myForm.get('bulan')">* Harus diisi</span>
                        <span class="md-line"></span> 
                    </div> 
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Serapan Anggaran</label>
                        <input class="form-control autonumber" type="text" placeholder="Serapan Anggaran" formControlName="serapan" (ngModelChange)="checkPersen($event)" currencyMask [options]="{ prefix: 'Rp. ', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('serapan').valid && myForm.get('serapan')">* Harus diisi, tidak boleh negatif</span>
                        <span class="md-line"></span> 
                    </div>
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Persentase</label>
                        <div class="input-group">
                            <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly/> 
                            <span class="input-group-addon" id="basic-addon8">%</span>
                        </div>
                        <span class="messages text-danger" *ngIf="!myForm.get('persen').valid && myForm.get('persen')">* Harus diisi</span>
                        <span class="md-line"></span> 
                    </div>   
                    <div class="col-sm-12 col-xl-12">
                        <label class="col-form-label">Keterangan</label> 
                        <textarea class="form-control" type="text" rows="5" placeholder="Keterangan" formControlName="keterangan" style="height: 100px;"></textarea>
                        <span class="messages text-danger" *ngIf="!myForm.get('keterangan').valid && myForm.get('keterangan')">* Harus diisi</span>
                        <span class="md-line"></span> 
                    </div>
 
                </div>

                
                <br>
                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()" ><i class="icofont icofont-error"></i>Batal</button>
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myForm.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                    </div>
                </div>
                
                </form>
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
